version: '3'
services:
  rancher:
    restart: unless-stopped
    image: vaultwarden/server:latest
    container_name: vaultwarden
    volumes:
      - ./bw-data/:/data/
    environment:
      - TZ=Asia/Shanghai
      # 当第一个账户注册成功后，SIGNUPS_ALLOWED需要改成false，从而禁用新账户注册
      - SIGNUPS_ALLOWED=true
      - WEBSOCKET_ENABLED=true
      - LOG_FILE=/data/vaultwarden.log
    ports:
      - 8880:80
      - 3012:3012
